cnd = zeros(10, 1);

for n = 1 : 10
    v = 1 : n;
    A = fliplr(vander(v));
    cnd(n) = cond(A);
end

semilogy(1:n, cnd, 'LineWidth', 2);
xlabel('system size', 'FontSize', 16);
ylabel('condition number', 'FontSize', 16);
title('Condition number of Vandermonde system', 'FontSize', 14);
